<template>
	<view>
		<picker
			v-if="selectList.length > 0"
			:range="selectList"
			:value="selectValue"
			@change="bindPickerChange"
		>
			<view class="uni-input">{{selectList[selectValue]}}</view>
		</picker>
	</view>
</template>

<script>
	export default {
		name: 'mouldSelect',
		props: {
			selectList: {
				type: Array,
				default: () => {
					return []
				}
			},
			selectValue: {
				type: String,
				default: ''
			},
		},
		data(){
			return {}
		},
		onShow() {},
		methods: {
			bindPickerChange(e){
				this.$emit('bankPicker', e.detail.value)
			}
		}
	}
</script>

<style>
	
</style>
